# Beneath Python Client Library

[![PyPI version](https://img.shields.io/pypi/v/beneath.svg)](https://pypi.org/project/beneath)
[![Docs badge](https://img.shields.io/badge/docs-latest-brightgreen.svg)](https://python.docs.beneath.dev)
[![License](https://img.shields.io/badge/license-MIT-brightgreen.svg)](https://gitlab.com/beneath-hq/beneath/-/blob/master/clients/LICENSE)
[![Netlify Status](https://api.netlify.com/api/v1/badges/e2dacc5a-486e-4043-9a42-350acb658efc/deploy-status)](https://app.netlify.com/sites/beneath-clients-python/deploys)

This folder contains the source code for the [Beneath](https://beneath.dev) Python library. Here are some useful links:

- [Beneath Docs](https://about.beneath.dev/docs/)
- [Python Client API Reference](https://python.docs.beneath.dev)
- [Reading data tutorial](https://about.beneath.dev/docs/read-data-into-jupyter-notebook/)
- [Writing data tutorial](https://about.beneath.dev/docs/write-data-from-your-app/)

### Installation

To install the Python library (requires Python 3.7 or higher), run:

```
pip3 install --upgrade beneath
```

### Providing feedback

Beneath is just entering public beta, so there's bound to be some rough edges. Bugs, feature requests, suggestions – we'd love to hear about them. [Click here](https://gitlab.com/beneath-hq/beneath/issues) to file an issue.
